Bug 27681 - Style OPAC self-registration CAPTCHA as uppercase
Summary: Style OPAC self-registration CAPTCHA as uppercase
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 27668
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-11 13:06 UTC by Owen Leonard
Modified: 2021-05-25 14:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This changes the CAPTCHA field in the OPAC self-registration form to automatically change any character entered to be upper case.
Version(s) released in:
21.05.00


Attachments
Bug 27681: Style OPAC self-registration CAPTCHA as uppercase (1.72 KB, patch)
2021-02-11 13:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27681: Style OPAC self-registration CAPTCHA as uppercase (1.78 KB, patch)
2021-02-19 19:40 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 27681: Style OPAC self-registration CAPTCHA as uppercase (1.84 KB, patch)
2021-03-04 13:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-02-11 13:06:29 UTC
Although the OPAC self-registration CAPTCHA is case-insensitive (Bug 16283), there's no way for the user to know that. Since the CAPTCHA is always in all uppercase we should make it easier on the user by adding "text-transform:uppercase" to the form field so that they don't need to physically make the text uppercase.
Comment 1 Owen Leonard 2021-02-11 13:25:41 UTC
Created attachment 116715 [details] [review]
Bug 27681: Style OPAC self-registration CAPTCHA as uppercase

This patch adds an inline "text-transform:uppercase" style attribute to
the OPAC self-registration CAPTCHA field so that the user doesn't have
to match the case of the CAPTCHA they're shown.

To test, apply the patch and start the process of self-registration in
the OPAC.

- At the end of the form, under verification, confirm that any text you
  type in the verification field is uppercase by default.
- Confirm that the CAPTCHA is accepted when you submit the form.
Comment 2 Barbara Johnson 2021-02-12 17:28:52 UTC
Text entered in the CAPTCHA field is all uppercase.  But when I submit the form I'm getting an error - Branchcode not allowed at /kohadevbox/koha/opac/opac-memberentry.pl line 160 followed by 52 more lines of stuff.  I had this problem recently with another bug so maybe I'm doing something wrong.
Comment 3 ByWater Sandboxes 2021-02-19 19:40:37 UTC
Created attachment 117095 [details] [review]
Bug 27681: Style OPAC self-registration CAPTCHA as uppercase

This patch adds an inline "text-transform:uppercase" style attribute to
the OPAC self-registration CAPTCHA field so that the user doesn't have
to match the case of the CAPTCHA they're shown.

To test, apply the patch and start the process of self-registration in
the OPAC.

- At the end of the form, under verification, confirm that any text you
  type in the verification field is uppercase by default.
- Confirm that the CAPTCHA is accepted when you submit the form.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 4 Barbara Johnson 2021-02-19 19:41:21 UTC
I re-tested this two times and it worked as described so I signed off.
Comment 5 Katrin Fischer 2021-03-04 12:53:52 UTC
The depending bug is missing sign-off, so is blocking this from QA for the moment.
Comment 6 Katrin Fischer 2021-03-04 13:00:50 UTC
Created attachment 117717 [details] [review]
Bug 27681: Style OPAC self-registration CAPTCHA as uppercase

This patch adds an inline "text-transform:uppercase" style attribute to
the OPAC self-registration CAPTCHA field so that the user doesn't have
to match the case of the CAPTCHA they're shown.

To test, apply the patch and start the process of self-registration in
the OPAC.

- At the end of the form, under verification, confirm that any text you
  type in the verification field is uppercase by default.
- Confirm that the CAPTCHA is accepted when you submit the form.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2021-03-04 13:02:30 UTC
Hm, as I had already spent quite some time here, I decided to SO the dependency and move this to PQA - not the dependency please.
Comment 8 Jonathan Druart 2021-03-09 16:20:04 UTC
Pushed to master for 21.05, thanks to everybody involved!